PUMA(1)

NAME
pumactl - command line client for puma

USAGE
pumactl [options...] [commands]

pumactl [-h | --help | -V | --version]

COMMANDS

halt
    Halt the server.

restart
    Restart the server.

phased-restart
    Restart server but phase out old workers while starting new workers one at a time.

start
    Start the server.

stats
    Show stats about the server.

status
    Show server status.

stop
    Stop server.

reload-worker-directory
    Reload the worker directory.

gc  Start garbage collector.

gc-stats
    Show information about garbage collector.

OPTIONS

The following options are available:

-F, --config-file PATH
    Load given path as a config file.

-T, --control-token TOKEN
    The TOKEN to use as authentication for the control server.

-C, --control-url URL
    The bind URL to use for the control server and app. Use auto to use a temp unix server. This requires to use a --control-token, which needs to be given with every request to the control server (token=foo).

-p, --pid PID
    Define the TCP port to bind to. Use -b for more advanced options.

-P, --pidfile PATH
    Use the given path as PID file.

-Q, --quiet
    Don't display messages.

-S, --state PATH
    Where the state file is.

-H, --help
    Show help.

-V, --version
    Print the version information.

EXAMPLES
Create a control server and use pumactl(1) to interact with the control server to restart puma.
    puma --control-url tcp://127.0.0.1:9293 --control-token foo
    pumactl --control-url 'tcp://127.0.0.1:9293' --control-token foo restart

SEE ALSO

puma(1)

There is extensive documentation at <https://puma.io/puma/> and <https://github.com/puma/puma>.

AUTHOR

This manual page was written by Daniel Leidert <dleidert@debian.org>, for the Debian GNU/Linux system (but may be used by others).